Reservation
Get a reservation by ID
Retrieves a specific reservation by its ID
Authorization
x-calry-api-key x-calry-api-key<token>
In: header
Path Parameters
id*string
ID of the reservation to retrieve
Query Parameters
displayCurrency?string
Currency to display prices in (ISO 4217)
Header Parameters
x-calry-tenant-id?string
Optional tenant ID to specify which tenant to operate as. Controls which reservations are accessible. If not provided, the default tenant will be used.
Response Body
application/json
application/json
curl -X GET "https://example.com/api/v1/reservation/123e4567-e89b-12d3-a456-426614174000"{
"id": "123e4567-e89b-12d3-a456-426614174000",
"listingID": "123e4567-e89b-12d3-a456-426614174000",
"integrationAccountID": "123e4567-e89b-12d3-a456-426614174000",
"providerReservationID": "HMKYWB7BF8",
"providerID": "3827197",
"parentPropertyID": "PROP12345",
"checkInDate": "2025-06-15",
"checkOutDate": "2025-06-22",
"guests": 2,
"guest": {
"id": "G12345",
"name": "John Doe",
"firstName": "John",
"lastName": "Doe",
"email": "john.doe@example.com",
"phone": "+1234567890"
},
"adults": 2,
"children": 1,
"infants": 0,
"pets": 0,
"status": "CONFIRMED",
"source": "website",
"notes": "Guest requested early check-in if possible",
"originalCurrency": "USD",
"currency": "EUR",
"totalPrice": 880,
"components": {},
"createdAt": "2025-05-20T14:30:00.000Z",
"updatedAt": "2025-05-21T10:15:00.000Z",
"cancelledAt": "2025-05-25T09:45:00.000Z",
"confirmedAt": "2025-05-20T15:00:00.000Z"
}Empty
{
"timestamp": "2025-03-05T11:45:49.631Z",
"path": "<URL_PATH>",
"message": "Authentication failed",
"details": []
}Empty